<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="broker$ | async as broker">
  <ng-container *ngLet="healthcheckError$ | async as healthcheckError">
    <div class="flex flex-col items-center">
      <div class="text-text-300 w-96">Please provide the remote address where the Data Broker is running:</div>
      <div *ngIf="broker; else nodeAddress" class="mt-10">
        <app-data-broker-card [broker]="broker"></app-data-broker-card>
        <div *ngIf="!isLoggedIn" class="mt-10 w-96">
          {{ broker.online ? 'To access the Broker, pelase login to platform' : 'To connect the Broker to platform, pelase login first' }}
        </div>
        <div *ngIf="isLoggedIn" class="mt-10 w-96">{{ broker.online ? 'The Broker is already connected to the platform' : 'Connect the Broker to the platform' }}</div>
      </div>
      <ng-template #nodeAddress>
        <div class="mt-10 flex flex-col items-center">
          <div class="flex items-center justify-center gap-4">
            <input type="text" placeholder="address:444" pInputText [(ngModel)]="address" />
            <div class="h-6 w-0.5 bg-text-100 rounded-md ml-4"></div>
            <p-button label="Detect" [text]="true" (onClick)="detect()" [loading]="loading$ | async"></p-button>
          </div>
          <div *ngIf="!healthcheckError" class="text-text-300 mt-10 section">
            <div class="w-80">
              <div class="pb-4">Examples:</div>
              <div class="flex flex-col items-center pb-2">
                <div>192.168.0.5:444</div>
                <div>or</div>
                <div>https://my-node-dns:444</div>
              </div>
            </div>
          </div>
        </div>
      </ng-template>
      <div *ngIf="healthcheckError" class="mt-10">
        <app-ssl-error [address]="healthcheckError"></app-ssl-error>
      </div>
    </div>
    <div class="pb-10 flex flex-col mt-10">
      <app-connect-button></app-connect-button>
      <app-use-offline-button *ngIf="broker && !broker.online"></app-use-offline-button>
    </div>
  </ng-container>
</ng-container>
